package org.dive4elements.river.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import org.dive4elements.river.client.shared.exceptions.ServerException;
import org.dive4elements.river.client.shared.model.RiverInfo;

/**
 * @author <a href="mailto:bjoern.ricks@intevation.de">Björn Ricks</a>
 */
@RemoteServiceRelativePath("riverinfo")
public interface RiverInfoService extends RemoteService {

    /**
     * Returns a RiverInfo object with GaugeInfos
     */
    public RiverInfo getGauges(String river)
        throws ServerException;

    /**
     * Returns a RiverInfo object with MeasurementStations
     */
    public RiverInfo getMeasurementStations(String river)
        throws ServerException;

}
